#!/bin/bash

# Where screenshots are saved
SC_ROOT="model_data/tau_small/screenshots"

# WILL BE DELETED
OUTPUT_DIR="out/video_output"

render_dir () {
	ffmpeg \
		-y \
		-loglevel quiet \
		-framerate 30 \
		-i $1/hackcel_%003d.png \
		-c:v libx264 \
		-pix_fmt yuv420p \
		$OUTPUT_DIR/${1##*/}.mp4
}



# Todo: error out if exists
mkdir -p $OUTPUT_DIR


echo "Making episode files..."
for D in $SC_ROOT/*; do
	if [ -d "${D}" ]; then
		render_dir $D
	fi
done

echo "Done."


# Generate video for each run
for f in $OUTPUT_DIR/*.mp4; do
	echo file \'$f\' >> video_merge_list
done

# Merge videos
ffmpeg \
	-loglevel error -stats -y \
	-f concat \
	-safe 0 \
	-i video_merge_list \
	-c copy \
	$OUTPUT_DIR/00-all.mp4

rm video_merge_list

# Make accelerated video
ffmpeg \
	-loglevel error -stats -y \
	-i $OUTPUT_DIR/00-all.mp4 \
	-framerate 60 \
	-filter:v "setpts=0.125*PTS" \
	8x.mp4

echo "Cleaning up..."
rm -dr $OUTPUT_DIR
